diff --git a/django/archives/mailarchives/migrations/0001_initial.py b/django/archives/mailarchives/migrations/0001_initial.py
index 8008ba6..0c3e882 100644
--- a/django/archives/mailarchives/migrations/0001_initial.py
+++ b/django/archives/mailarchives/migrations/0001_initial.py
@@ -25,7 +25,7 @@ class Migration(migrations.Migration):
         migrations.CreateModel(
             name='List',
             fields=[
-                ('listid', models.IntegerField(serialize=False, primary_key=True)),
+                ('listid', models.AutoField(serialize=False, primary_key=True)),
                 ('listname', models.CharField(unique=True, max_length=200)),
                 ('shortdesc', models.TextField()),
                 ('description', models.TextField()),
@@ -38,7 +38,7 @@ class Migration(migrations.Migration):
         migrations.CreateModel(
             name='ListGroup',
             fields=[
-                ('groupid', models.IntegerField(serialize=False, primary_key=True)),
+                ('groupid', models.AutoField(serialize=False, primary_key=True)),
                 ('groupname', models.CharField(max_length=200)),
                 ('sortkey', models.IntegerField()),
             ],
diff --git a/django/archives/mailarchives/models.py b/django/archives/mailarchives/models.py
index 44c4469..6743817 100644
--- a/django/archives/mailarchives/models.py
+++ b/django/archives/mailarchives/models.py
@@ -70,7 +70,7 @@ class Message(models.Model):
 
 
 class ListGroup(models.Model):
-    groupid = models.IntegerField(null=False, primary_key=True)
+    groupid = models.AutoField(null=False, primary_key=True)
     groupname = models.CharField(max_length=200, null=False, blank=False)
     sortkey = models.IntegerField(null=False)
 
@@ -79,7 +79,7 @@ class ListGroup(models.Model):
 
 
 class List(models.Model):
-    listid = models.IntegerField(null=False, primary_key=True)
+    listid = models.AutoField(null=False, primary_key=True)
     listname = models.CharField(max_length=200, null=False, blank=False, unique=True)
     shortdesc = models.TextField(null=False, blank=False)
     description = models.TextField(null=False, blank=False)
